Bug Hunting Session
Bug 98436 - Writer Crashes When Trying To Create Remote Folder
Summary: Writer Crashes When Trying To Create Remote Folder
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
5.1.0.3 release
Hardware: All Linux (All)
: medium normal
Assignee: Caolán McNamara
URL:
Whiteboard: target:5.3.0 target:5.2.0.1 target:5.1.4
Keywords:
Depends on:
Blocks:
 
Reported: 2016-03-05 03:31 UTC by morvan
Modified: 2016-10-25 18:55 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
Image describes trying to create new [remote] folder (30.74 KB, image/png)
2016-03-05 03:31 UTC, morvan
Details
Recovery data crash image (28.66 KB, image/png)
2016-03-05 03:32 UTC, morvan
Details

Note You need to log in before you can comment on or make changes to this bug.
Description morvan 2016-03-05 03:31:03 UTC
Created attachment 123306 [details]
Image describes trying to create new [remote] folder

Writer crashes when trying to create folder in Remote Folder.
Anyway, depending on you be authenticated or not, to Remote Service, I think U. I. Consistence did must prevent "New Folder" action, say, let control disabled until you, consistently can grab some place to save remotely your data.

How to reproduce it:
Open a new Writer page. Write some random text.
Point to Save Icon and click it Combo Box, selecting "Save Remote File"; at this point, you can go to "New Folder Icon". It is enabled, already. It is not clearly  if it is a new local folder, but, by context, regards new remote folder. Select icon. Name something. Confirm. Crash.
Screen to recover work appears.
Tested at work (Kubuntu 15.10, x64) and home (Fedora 23, x64) several times.
Images attached to better inform (Portuguese, Br).
Comment 1 morvan 2016-03-05 03:32:07 UTC
Created attachment 123307 [details]
Recovery data crash image
Comment 2 raal 2016-03-05 19:38:51 UTC
I can confirm crash with Version: 5.2.0.0.alpha0+
Build ID: aaca25d67eb5ea252730cdcf555ecc04ce04a5e6
CPU Threads: 4; OS Version: Linux 4.2; UI Render: default; 
TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time: 2016-02-24_23:58:47
Comment 3 morvan 2016-03-13 17:37:39 UTC
(In reply to raal from comment #2)
> I can confirm crash with Version: 5.2.0.0.alpha0+
> Build ID: aaca25d67eb5ea252730cdcf555ecc04ce04a5e6
> CPU Threads: 4; OS Version: Linux 4.2; UI Render: default; 
> TinderBox: Linux-rpm_deb-x86_64@70-TDF, Branch:master, Time:
> 2016-02-24_23:58:47

Hi, Raal. I thank your confirmation and I am trying to against 5.2.0.0.A1. Indeed, problem persists.
Comment 4 Commit Notification 2016-05-26 08:41:24 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7d397201060ba71a188b5ef9853984a635e70531

Resolves: tdf#98436 crash trying To create remote folder before connected

It will be available in 5.3.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Commit Notification 2016-05-26 14:32:53 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-2":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ef82ce4eb97b3c1572f777a762d0648a24081c08&h=libreoffice-5-2

Resolves: tdf#98436 crash trying To create remote folder before connected

It will be available in 5.2.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2016-05-30 08:31:35 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-5-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=358663c3201b5f5d4e31cf719cd4649333903667&h=libreoffice-5-1

Resolves: tdf#98436 crash trying To create remote folder before connected

It will be available in 5.1.4.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.